JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.notifications.catalog();
console.log(response.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.notifications.catalog()
print(response.data)curl --request GET \
--url https://api.mobilerun.ai/v1/notifications/catalog \
--header 'Authorization: Bearer <token>'
{
"data": [
{
"events": [
{
"description": "<string>",
"label": "Completed",
"type": "workflow.run.completed",
"toast": true
}
],
"label": "Workflows",
"source": "triggers-api"
}
]
}Notifications
List notification event types
Returns the catalog of notifiable event types grouped by source category. Each event lists its type identifier, label, and description, which can be referenced when muting event types in notification preferences.
GET
/
notifications
/
catalog
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.notifications.catalog();
console.log(response.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.notifications.catalog()
print(response.data)Was this page helpful?
⌘I